Subject: Re: [Cfrg] Is a Hackathon planned regarding RFC8391-XMSS on hash-based-signatures?

From: Daniel Van Geest <[email-masked]>
Date: Mon, 13 Aug 2018 11:58:52 +0000

Hi David,

We also have an XMSS implementation.  We’ve tested against the authors’ reference implementation, but I’d be glad to do some interop testing with you too.

--
Daniel Van Geest ([email-masked]<mailto:[email-masked]>)
Security Developer
https://www.isara.com/ 560 Westmount Road North, Waterloo, Ontario N2L 0A9

On 2018-08-11, 4:36 PM, "Cfrg on behalf of Wheeler, David M" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

Greetings,
I am wondering if there is a hackathon planned for an upcoming IETF meeting for XMSS? I will not be able to attend Bangkok, but will be in Prague.

I am currently implementing XMSS as a proof-of-concept reference implementation and would very much like to test interoperation of the signatures with another implementation. Additionally, implementing this from scratch from the RFC, I have found on minor correction to Algorithm 1 which may be a useful errata (or may be a mistake on my part).

I am wondering if you can point me to others who may be also doing implementation work of the RFC.
Thanks,
David M. Wheeler
CISSP CSSLP GSLC GREM
Sr. Principal Engineer
PSD Security Architecture, SSG

o: 503.712.5776
A good leader is a person who takes a little more than his share of the blame and a little less than his share of the credit.
                     John C Maxwell, Author